%include common-macros.specinclude

Summary: pidgin is a multi-protocol instant messaging (IM) client
Name: lsb-pidgin
Version: 2.6.3
Release: 7.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/desktop
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-desktop intltool

Source0: http://easynews.dl.sourceforge.net/sourceforge/pidgin/pidgin-%{version}.tar.bz2
Patch0: pidgin-%{version}.patch
Patch1: pidgin-%{version}.lsb5.patch

%description
LSB conforming version of pidgin. Pidgin is a multi-protocol instant messaging 
(IM) client. Pidgin is added to the LSB Application Battery to test gtk2.

%prep
%setup -q -n pidgin-%{version}
%patch0 -p1 -b .lsbcc
%patch1 -p0 -b .lsb5

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# added --without-python, --disable-consoleui, --with-ncurses-headers when build 
# moved to spec file. Was picking up system python-devel, ncursesw. 
# Plus trying to build finch, which was failing on g_snprintf (that code hasn't been patched)
./configure \
    --prefix=%{app_prefix} \
	--disable-perl \
    --without-python \
    --disable-consoleui \
	--disable-tcl \
	--disable-tk \
	--disable-gtkspell \
	--disable-deprecated \
	--disable-gevolution \
	--disable-screensaver \
	--disable-startup-notification \
	--disable-aotest \
	--disable-audiofiletest \
	--disable-glibtest \
	--disable-gtktest \
	--enable-gnutls=no \
	--enable-nss=no \
	--enable-static=yes \
	--disable-dbus \
	--disable-cap \
	--disable-gstreamer \
	--disable-meanwhile \
	--disable-avahi \
	--disable-vv \
	--disable-idn \
    --with-ncurses-headers=%{includedir} \
	--with-pic

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# desktop stuff
mv %{buildroot}%{sharedir}/applications/pidgin.desktop %{buildroot}%{sharedir}/applications/lsb-pidgin.desktop

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.pidgin.build.patches 
fi

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-pidgin.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-pidgin.desktop
fi
%postun

%clean

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Jan 15 2008 Stew Benedict <stewb@linux-foundation.org>
- only execute xdg-desktop-menu if present

* Mon Oct 22 2007 Stew Benedict <stewb@linux-foundation.org>
- install/remove menu item using xdg-utils
